Questions List
http
GET /api/v1/questionsBase URL: https://feedbacks-api.wildberries.ru · Module: communications · Section: Questions · Specification doc ↗
The method allows you to get a list of questions by the specified parameters with pagination and sorting. It is possible to get a maximum of 10,000 questions per query
Request limit per one seller account for all methods in the Feedbacks and Questions category:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 s | 3 requests | 333 ms | 6 requests |
| Service | 1 s | 3 requests | 333 ms | 6 requests |
| Base with secret | 1 s | 3 requests | 333 ms | 6 requests |
| Base | 1 h | 5 requests | 12 min | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
isAnswered | query | boolean | yes | The question is answered: - true — yes - false — no |
nmId | query | integer<int64> | no | WB item number |
take | query | integer<int64> | yes | Number of requested questions (the maximum possible value for the parameter is 10,000, and the total amount of take and skip parameters must not exceed 10,000) |
skip | query | integer<int64> | yes | Number of questions to skip (maximum possible value for the parameter is 10,000, and the total amount of take and skip parameters must not exceed 10,000) |
order | query | string | no | Sorting questions by date (dateAsc/dateDesc) |
dateFrom | query | integer<int64> | no | The start date of the period in Unix timestamp format |
dateTo | query | integer<int64> | no | The end date of the period in Unix timestamp format |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetV1QuestionsResponse200 |
400 | Bad request | responseFeedbackQuestionErr |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | responseFeedbackQuestionErr |
429 | Too many requests | object |
Structure 200:
dataobjectcountUnansweredinteger<int64>— Number of unanswered questionscountArchiveinteger<int64>— Number of questions answeredquestionsobject[]— Questionsidstring— question idtextstring— question textcreatedDatestring— Date and time the question was createdstatestring— Question status: -none— question rejected by seller (this question doesn't appear on the buyer portal) -wbRu— answer provided, the question is displayed on the buyers site -suppliersPortalSynch- new questionanswerobject— Answer structuretextstring— Answer texteditableboolean— Ability to edit answer (false- unable,true- able to)createDatestring— Date and time the answer was created
productDetailsobject— Item informationnmIdinteger<int64>— WB item numberimtIdinteger<int64>— Merged listing IDproductNamestring— Item namesupplierArticlestring— Seller item numbersupplierNamestring— Seller's namebrandNamestring— Brand name
wasViewedboolean— If the question was viewedisWarnedboolean— Suspicious question indicator. Iftrue, the question is published, but on the seller portal, you will see a banner saying **Suspicious message**
errorboolean— Error presenceerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errors
Structure 400:
dataobjecterrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errorsrequestIdstring
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
dataobjecterrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errorsrequestIdstring
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.communications import Configuration, ApiClient
from wb_api_client.communications.api import CommunicationsApi
cfg = Configuration(access_token="<your WB JWT>")
api = CommunicationsApi(ApiClient(cfg))
result = api.get_v1_questions(is_answered=..., take=..., skip=..., nm_id=..., order=..., date_from=..., date_to=...)
print(result)ts
import {
Configuration,
CommunicationsApi,
} from "@valeryverkhoturov/wb-api-client/communications";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new CommunicationsApi(cfg);
const { data } = await api.getV1Questions(isAnswered, take, skip, nmId, order, dateFrom, dateTo);
console.log(data);go
import (
"context"
"fmt"
wbcommunications "github.com/ValeryVerkhoturov/wb-api-client-go/communications"
)
cfg := wbcommunications.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbcommunications.NewAPIClient(cfg)
result, _, err := client.CommunicationsAPI.GetV1Questions(context.Background()).IsAnswered(isAnswered).Take(take).Skip(skip).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.communications.ApiClient;
import io.github.valeryverkhoturov.wbapi.communications.SecretString;
import io.github.valeryverkhoturov.wbapi.communications.api.CommunicationsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
CommunicationsApi api = new CommunicationsApi(client);
System.out.println(api.getV1Questions(isAnswered, take, skip, nmId, order, dateFrom, dateTo));php
use ValeryVerkhoturov\WbApiClient\Communications\Configuration;
use ValeryVerkhoturov\WbApiClient\Communications\SecretString;
use ValeryVerkhoturov\WbApiClient\Communications\Api\CommunicationsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new CommunicationsApi(new Client(), $config);
print_r($api->getV1Questions($is_answered, $take, $skip));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый CommunicationsApi(Настройки);
Сообщить(Клиент.GetV1Questions(isAnswered, take, skip).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Communications.Api;
using ValeryVerkhoturov.WbApiClient.Communications.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new CommunicationsApi(config);
Console.WriteLine(api.GetV1Questions(isAnswered, take, skip));rust
use wb_api_client::communications::apis::{configuration::Configuration, communications_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = communications_api::get_v1_questions(&cfg, is_answered, take, skip, nm_id, order, date_from, date_to).await;
println!("{:#?}", result);
}